<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>HW5 - Async/await</title>
    <link rel="stylesheet" href="css/reset.css">
    <link rel="stylesheet" href="css/style.css">
</head>
<body>

<div id="ip-info-block">
    <button id="ip-info-btn">Find user by IP</button>
    <p id="ip-info-continent"></p>
    <p id="ip-info-country"></p>
    <p id="ip-info-region-name"></p>
    <p id="ip-info-city"></p>
    <p id="ip-info-district"></p>
</div>

<script src="js/script.js"></script>
</body>
</html>

<!--Интерпретатор браузера, обрабатывая код, регистрирует все инструкции поочередно в CALL STACK.-->

<!--Выполнение обычных инструкций начинается сразу же.-->

<!--Те из инструкций, которые являются асинхронными, обрабатываются через BROWSER API и помещаются-->
<!--в CALLBACK QUEUE (или EVENT LOOP). После того, как будут выполнены все обычные инструкции, -->
<!--начнется поочередное выполнение инструкций из CALLBACK QUEUE.-->

<!--Это означает, что инструкция, обьявленная через setTimeout с нулевой задержкой, будет выполнена-->
<!--первой после всех обычных инструкций.-->